import request from '@/utils/request';
// 删除自定义字段
export function deletePut(dataDictionaryId) {
  return request({
    url: '/admin/dataDictionary/delete',
    method: 'get',
    params: { dataDictionaryId }
  });
}
// 编辑自定义字段（增加修改）
export function edit(data) {
  return request({
    url: '/admin/dataDictionary/edit',
    method: 'post',
    data
  });
}

// 自定义字段列表
export function getList(data) {
  return request({
    url: '/admin/dataDictionary/getList',
    method: 'post',
    data
  });
}
// 获取一级列表
export function getOneList(data) {
  return request({
    url: '/admin/dataDictionary/getOneList',
    method: 'post',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    data
  });
}

// 获取二级或三级列表
export function getTwoOrThreeList(params) {
  return request({
    url: '/admin/dataDictionary/getTwoOrThreeList',
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    },
    method: 'get',
    params
  });
}

